import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ListDirectoryBucketsOutput,
  ListDirectoryBucketsRequest,
} from "../models/models_0";
import {
  S3ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../S3Client";
export { __MetadataBearer, $Command };
export interface ListDirectoryBucketsCommandInput
  extends ListDirectoryBucketsRequest {}
export interface ListDirectoryBucketsCommandOutput
  extends ListDirectoryBucketsOutput,
    __MetadataBearer {}
export declare class ListDirectoryBucketsCommand extends $Command<
  ListDirectoryBucketsCommandInput,
  ListDirectoryBucketsCommandOutput,
  S3ClientResolvedConfig
> {
  readonly input: ListDirectoryBucketsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListDirectoryBucketsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: S3ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListDirectoryBucketsCommandInput,
    ListDirectoryBucketsCommandOutput
  >;
  private serialize;
  private deserialize;
}
